# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/lgphilips,sw43101.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LG.Philips SW43101 1080x1920 OLED panel

maintainers:
  - Yassine Oudjana <y.oudjana@protonmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: lgphilips,sw43101

  port: true
  reg: true
  reset-gpios: true

required:
  - compatible
  - reg
  - reset-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

    	  panel@0 {
    		    compatible = "lgphilips,sw43101";
    		    reg = <0>;

    		    reset-gpios = <&msmgpio 8 GPIO_ACTIVE_LOW>;

    		    port {
    			      panel_in: endpoint {
    				        remote-endpoint = <&dsi_out>;
    			      };
    		    };
    	  };
    };

...
